/******************************************************************************
 **																			 **
 ** 	Module:		PICTSprite.h											 **
 ** 																		 **
 ** 																		 **
 ** 	Purpose: 	Easy way to do animation using PICT resources			 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 	Copyright (C) 1997 Apple Computer, Inc.  All rights reserved.		 **
 **																			 **
 ** 																		 **
 *****************************************************************************/
 
#ifndef PICTSprite_h
#define PICTSprite_h

#if PRAGMA_ONCE
	#pragma once
#endif

#include <QD3D.h>

#ifdef __cplusplus
extern "C" {
#endif	/* __cplusplus */


typedef struct iTPICTSprite TPICTSprite;



TQ3Status	PICTSprite_Dispose(
				TPICTSprite		*ioSprite);
				
				
TQ3Status	PICTSprite_Draw(
				TPICTSprite		*inSprite);
				

TPICTSprite *PICTSprite_New(
				long		inBasePictureID,
				long		inTotalFaces,
				long		inStartFace,
				CGrafPtr	inDestPort,
				Rect		*inDestRect);
				
TPICTSprite *PICTSprite_SetRect(
				Rect		inDestRect);
				
				



#ifdef __cplusplus
}
#endif	/* __cplusplus */

#endif  /*  PICTSprite_h  */
