/******************************************************************************
 **																			 **
 ** 	Module:		QD3DModule.h											 **
 ** 																		 **
 ** 																		 **
 ** 	Purpose: 	Implements an After Dark Module using QuickDraw 3D.		 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 	Copyright (C) 1997 Apple Computer, Inc.  All rights reserved.		 **
 **																			 **
 **		Portions Copyright (C) 1995 Berkeley Systems Inc.					 **
 ** 																		 **
 ** 																		 **
 *****************************************************************************/
 
#ifndef QD3DModule_h
#define QD3DModule_h

#if PRAGMA_ONCE
	#pragma once
#endif

#include "GraphicsModule_Types.h"

#include <QD3D.h>
#include <QD3DView.h>
#include <QD3DRenderer.h>
#include <QD3DDrawContext.h>
#include <QD3DLight.h>

/*
#include <QDOffscreen.h>
*/
#ifdef __cplusplus
extern "C" {
#endif	/* __cplusplus */

typedef struct iTQ3ADModule TQ3ADModule;


OSErr DoInitialize(
		Handle			*storage,
		RgnHandle		blankRgn,
		GMParamBlockPtr params);
		
OSErr DoClose(
		Handle			storage,
		RgnHandle		blankRgn,
		GMParamBlockPtr params);
		
OSErr DoBlank(
		Handle			storage,
		RgnHandle		blankRgn,
		GMParamBlockPtr params);
		
OSErr DoDrawFrame(
		Handle			storage,
		RgnHandle		blankRgn,
		GMParamBlockPtr params);
		
OSErr DoSetUp(
		RgnHandle		blankRgn,
		short			message,
		GMParamBlockPtr params);
		

TQ3ADModule 	**Q3ADModule_New(
					GMParamBlockPtr params);
				
TQ3Status 		Q3ADModule_Dispose(
					TQ3ADModule	**ioModule);
				
TQ3Status		Q3ADModule_Draw(
					TQ3ADModule	*inModule);



#ifdef __cplusplus
}
#endif	/* __cplusplus */

#endif  /*  QD3DModule_h  */
